/* Meine Styles */
html { 
  height: 100%!important; }

body {
  display: flex !important;
  flex-direction: column !important;
  height: 100%!important; 
}

main {
  flex-shrink: 0 !important;
}

main > .container:first-child {
  padding: 60px 15px 0;
}

.cursor-pointer {
    cursor: pointer;
}

.thumbnail {
  width: 80px;
  height: auto;
  border-radius: 6px;
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
  position: relative;
  z-index: 1;
}

/*** Login ***/
.login-card {
    border-radius: 1rem;
    overflow: hidden;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,0.1);
}

.login-img {
    background: url('../images/login_image.png') center/cover no-repeat;
}

.form-control:focus {
    border-color: #0d6efd;
    box-shadow: 0 0 0 0.2rem rgba(13,110,253,.25);
}

/*** Upload-Images ***/
.card-img-top {
    height: 150px;
    object-fit: cover;
}

.card-img-top:hover {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

#leafletMap { 
  height: 300px; 
  width: 100%; 
  border-radius: 8px; 
  border: 1px solid #ddd; 
  margin-top: 15px;
}